CatálogoColecciones
Obtener una colección
Returns collection metadata, rules, overrides and counts. Product rows are available separately through the paginated collection products endpoint.
GET
/v1/catalog/collections/{collectionId}Obtener una colección. Una solicitud exitosa devuelve HTTP 200 con el cuerpo de respuesta documentado.
Autorización
bearerAuth AutorizaciónBearer <token>
Token de acceso OAuth 2.0 emitido por Ecomiq Auth.
Ubicación: header
Parámetros de ruta
collectionId*string
Identificador de la colección.
Parámetros de cabecera
x-Store-Id?string
Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.
Cuerpo de la respuesta
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/catalog/collections/7204558912004325301" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004325301", "storeId": "7204558912004325301", "name": "Example resource", "slug": "example-resource", "description": "Example description.", "status": "draft", "image": { "id": "7204558912004325301", "url": "https://example.com/resource" }, "type": "static", "dynamicOperator": "and", "validFrom": "2026-08-01T15:30:00Z", "validTo": "2026-08-01T15:30:00Z", "rules": [ { "field": "price", "operator": "eq", "path": "example", "value": "example" } ], "includeCollectionIds": [ "example" ], "excludeCollectionIds": [ "example" ], "includeProductIds": [ "example" ], "excludeProductIds": [ "example" ], "pins": [ { "productId": "7204558912004325301", "position": 1 } ], "productCount": 1, "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}